# Interface HttpResponse<T>

interface HttpResponse<T> {
config: RequestConfig;
data: T;
headers: HttpHeadersGetter;
status: number;
statusText: string;
xhrStatus: HttpResponseStatus;
}

#### Type Parameters

- T

##### Index

### Properties

config
data
headers
status
statusText
xhrStatus

## Properties

### config

config: RequestConfig

### data

data: T

### headers

headers: HttpHeadersGetter

### status

status: number

### statusText

statusText: string

### xhrStatus

xhrStatus: HttpResponseStatus